package com.ga.core.mapper.training;

import com.ga.core.vo.training.TrainingRequirementResp;
import com.ga.core.vo.training.TrainingRequirementSearchParam;
import com.ga.core.vo.training.TrainingRequirementVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TrainingRequirementMapper {
    TrainingRequirementResp selectByYear(@Param("targetYear") int targetYear);
    List<TrainingRequirementResp> selectList(TrainingRequirementSearchParam param);
    int insert(TrainingRequirementVO vo);
    int update(TrainingRequirementVO vo);
}
